/*
 * Copyright (c) 2007, Going Dot Com Inc. All rights reserved.
 */

package jp.co.going.xbrl.instance;

/**
 * @author Going Dot Com Inc.
 */
class XbEntityObj {
    // 識別子ID
    private String identifierId;
    // スキーマURI
    private String schemaUri;
    // 値
    private String value;

    /**
     * identifierIdを取得します。
     * @return identifierId
     */
    String getIdentifierId() {
        return identifierId;
    }

    /**
     * identifierIdを設定します。
     * @param identifierId identifierId
     */
    void setIdentifierId(String identifierId) {
        this.identifierId = identifierId;
    }

    /**
     * schemaUriを取得します。
     * @return schemaUri
     */
    String getSchemaUri() {
        return schemaUri;
    }

    /**
     * schemaUriを設定します。
     * @param schemaUri schemaUri
     */
    void setSchemaUri(String schemaUri) {
        this.schemaUri = schemaUri;
    }

    /**
     * valueを取得します。
     * @return value
     */
    String getValue() {
        return value;
    }

    /**
     * valueを設定します。
     * @param value value
     */
    void setValue(String value) {
        this.value = value;
    }
}